require 'lino'

require_relative 'base'
require_relative 'mixins/global_config'
require_relative 'mixins/algorithm_config'
require_relative 'mixins/ssl_config'
require_relative 'mixins/extra_extensions_config'
require_relative 'mixins/encrypt_key_config'

module RubyEasyRSA
  module Commands
    class GenReq < Base
      include Mixins::GlobalConfig
      include Mixins::AlgorithmConfig
      include Mixins::SSLConfig
      include Mixins::ExtraExtensionsConfig
      include Mixins::EncryptKeyConfig

      def configure_command(builder, opts)
        filename_base = opts[:filename_base]

        builder = builder.with_subcommand('gen-req')
        builder = builder.with_argument(filename_base)
        builder = super(builder, opts)
        builder
      end
    end
  end
end
